#! /bin/sh

set -e

if [ -n "$DEB_MAINT_PARAMS" ]; then
    eval set -- "$DEB_MAINT_PARAMS"
    if [ -z "$1" ] || [ "$1" != "configure" ]; then
        exit 0;
    fi
fi

# copy rk3399_odroidn1.dtb to /media/boot/ in case it exists
if [ -f /boot/rk3399_odroidn1.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/rk3399_odroidn1.dtb /media/boot/
        fi
fi

# copy rk3399-odroidn1.dtb to /media/boot/ in case it exists
if [ -f /boot/rk3399-odroidn1.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/rk3399-odroidn1.dtb /media/boot/
        fi
fi

if [ -f /media/boot/rk3399-odroidn1.dtb ]; then
	#mkdir -p /media/boot/dtb
	cp /media/boot/rk3399-odroidn1.dtb /media/boot/dtb
fi

# copy rk3399-odroidn1-linux.dtb to /media/boot/ in case it exists
if [ -f /boot/rk3399-odroidn1-linux.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/rk3399-odroidn1-linux.dtb /media/boot/
        fi
fi

if [ -f /media/boot/rk3399-odroidn1-linux.dtb ]; then
	#mkdir -p /media/boot/dtb
	cp /media/boot/rk3399-odroidn1-linux.dtb /media/boot/dtb
fi

